#include <stdio.h>
#include <stdlib.h>
#include <iocslib.h>
#include "defines.h"
#include "abuff.h"
#include "aexprint.h"

int PrintsShiftPrintsSub(int (*func)(),unchar *str,int size,int wt,int tm,int mode)
/* 文字列シフト表示：全文字同時 */
{
_FNTBUF *fnt;
int i=0,xy;
unint c;
	/* 文字数取得 */
	c=klen(str);
	if (c==0) return(-2);
	
	/* バッファー確保 */
	fnt=(_FNTBUF *)newmalloc(c*sizeof(_FNTBUF));
	if (fnt==NULL) return(-1);
	
	while ((c=*str++)!=0) {
		if (check_kanji1(c)) {
			if ((*str)==0) break; /* 漢字２バイト目が無い */
			c=(c<<8)|*str++;
		}
		fontsetc(c,size,&fnt[i++]);
	}
	xy=func(fnt,i,wt,tm,mode);
	free(fnt);
	return(xy);
}
